Subject: Re: [PATCH 14/16] powerpc: add ps3 platform OS params support

From: Geoff Levand <[email-masked]>
Date: Thu, 16 Nov 2006 00:10:12 -0800

Christoph Hellwig wrote:
> On Fri, Nov 10, 2006 at 12:03:44PM -0800, Geoff Levand wrote:
>> Add support to access the parameter data from the ps3pf other OS area of flash
>> memory.  The parameter data mainly holds user preferences like static ip
>> address, etc.
> 
> So what's this code doing it?  You'd need some kind of sysfs or similar
> interface to actually export it to the user.

This gets things that are needed early in the boot, like what type of monitor
is connected to the system so the early kernel startup messages will go to
the correct place, etc.  This is not to be exported to the user.  It is only
used for kernel startup before the storage driver comes becomes ready, or
if the system is configured without the storage driver.  Once the storage
driver is up, this info can be read and written as a normal block device
from flash memory.

-Geoff